Skip to main content
POST
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
scim-configuration
/
tokens
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Connections.ScimConfiguration;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Connections.ScimConfiguration.Tokens.CreateAsync(
            id: "id",
            request: new CreateScimTokenRequestContent()
        );
    }

}
{
  "token_id": "<string>",
  "token": "<string>",
  "scopes": [
    "<string>"
  ],
  "created_at": "<string>",
  "valid_until": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the connection to create its SCIM token

Body

SCIM Token

scopes
string[]

The scopes of the scim token

Minimum array length: 1

The token's scope

token_lifetime
integer | null

Lifetime of the token in seconds. Must be greater than 900

Response

The connection's SCIM token was created. See Response Schemas for schema.

token_id
string

The token's identifier

token
string

The scim client's token

scopes
string[]

The scopes of the scim token

The token's scope

created_at
string

The token's created at timestamp

valid_until
string

The token's valid until at timestamp